#pragma once

#include "Actors\FullScreenActor.h"

#include "MultiTouchManager.h"

#include <vector>

class MultitouchDrawing : public FullScreenActor
{
public:
	MultitouchDrawing(MultiTouchManager *useThisMultiTouchManager);

	virtual void Start();
	virtual void Stop();
	virtual void Update(float dt);
	virtual void Render();
	
	virtual void ReceiveMessage(Message *m);

private:
	MultitouchDrawing();

	MultiTouchManager *useThisMTManager;
};